Author Topic: upgrade from 1.2.0 to 1.2.3  (Read 461 times)

Offline rajbps

  • Newbie
  • *
  • Posts: 4
upgrade from 1.2.0 to 1.2.3
« on: January 08, 2017, 06:12:32 PM »
Hiya,

I am new to roundcube. I have Iredmail installed with roundcube version 1.2.0 and I would like to upgrade to the latest version 1.2.3.

I tried to follow the instruction but nothing much happens.

Roundcube is installed in /var/www/roundcube-1.2.0

I downloaded the complete and extracted roundcube-1.2.3 to /var/www/roundcube-1.2.3

Then went to /var/www/roundcube-1.2.3/

there ran #bin/installto.sh /var/www/roundcube-1.2.0

here is the screen grab:

roundcubemail-1.2.3]# bin/installto.sh /var/www/roundcubemail-1.2.0
Upgrading from 1.2.0. Do you want to continue? (y/N)
y
Copying files to target location...done.
roundcubemail-1.2.3]#

Now when I check, it does not upgrade it. When I look into .../roundcubemail-1.2.3/logs/error

[08-Jan-2017 22:41:59 GMT] PHP Warning:  system() has been disabled for security reasons in /var/www/roundcubemail-1.2.3/bin/installto.sh on line 60
[08-Jan-2017 22:41:59 GMT] PHP Warning:  system() has been disabled for security reasons in /var/www/roundcubemail-1.2.3/bin/installto.sh on line 66

Could anyone please advise.

The server is centos 7 all up to date.

Cheers,

Rajbps

Offline SKaero

  • Administrator
  • Hero Member
  • *****
  • Posts: 5,129
    • http://SKaero.com/
Re: upgrade from 1.2.0 to 1.2.3
« Reply #1 on: January 08, 2017, 06:23:00 PM »
You need to remove "system" from the disable_functions setting in your php.ini.

Offline rajbps

  • Newbie
  • *
  • Posts: 4
Re: upgrade from 1.2.0 to 1.2.3
« Reply #2 on: January 08, 2017, 06:43:19 PM »
yep that done it and also had to install rsync

Cheers for the help  :-)